Attention is currently required from: lynxis lazus.
osmith has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ci/+/37324?usp=email )
Change subject: publish-tarballs-for-tags.sh: publish osmo-epdg's versions
......................................................................
Patch Set 3: Code-Review-1
(1 comment)
Patchset:
PS3:
As discussed in chat, this currently fails for strongswan-epdg while running the configure script:
* "checking version from Git repository... configure: error: 5.9.3 is not a prefix of osmo-epdg-0.1.0, tag missing?"
* "configure: error: GNU gperf required to generate e.g. ./src/libstrongswan/crypto/proposal/proposal_keywords_static.c" (could be installed by adjusting install-depends.sh)
It seemed like you would prefer to just get a simple git archive instead of running configure and "make dist-bzip2". To do that:
```
diff --git a/scripts/tarballs/prefer-configure.sh b/scripts/tarballs/prefer-configure.sh
index 295b239..daafd14 100755
--- a/scripts/tarballs/prefer-configure.sh
+++ b/scripts/tarballs/prefer-configure.sh
@@ -10,6 +10,10 @@ if ! [ -e configure.ac ]; then
fi
case "$PROJECT" in
+strongswan-epdg)
+ # Use a simple git archive instead of running configure and "make dist-bzip2"
+ exit 1
+ ;;
gapk)
case "$TAG" in
v0.*|v1.0)
```
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/37324?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: I3445e76f6fd6ebb49ada5dc4320c6b9fa717f00c
Gerrit-Change-Number: 37324
Gerrit-PatchSet: 3
Gerrit-Owner: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Comment-Date: Wed, 03 Jul 2024 10:38:15 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
fixeria has posted comments on this change. ( https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37268?usp=email )
Change subject: pfcp_peer: PFCP peer implementation
......................................................................
Set Ready For Review
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37268?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-s1gw
Gerrit-Branch: master
Gerrit-Change-Id: I7bad0069dca2111006039d12e744a2bd6d2cb86e
Gerrit-Change-Number: 37268
Gerrit-PatchSet: 4
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Comment-Date: Tue, 02 Jul 2024 23:40:10 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
Attention is currently required from: pespin.
fixeria has posted comments on this change. ( https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37267?usp=email )
Change subject: rebar.{config,lock}: add pfcplib to deps[]
......................................................................
Set Ready For Review
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37267?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-s1gw
Gerrit-Branch: master
Gerrit-Change-Id: I4cf3b3b09b19ebabbaad082c616c31ffc1327fd7
Gerrit-Change-Number: 37267
Gerrit-PatchSet: 4
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 02 Jul 2024 23:40:04 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
fixeria has uploaded this change for review. ( https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37327?usp=email )
Change subject: config/sys.config: print prefix before msg, if present
......................................................................
config/sys.config: print prefix before msg, if present
It's sometimes desirable to add some context to logging messages,
like the FSM name and identifier, for instance. With this patch,
this can be easily achieved by passing an arbitrary prefix string
to a logging function/macro:
%% EXAMPLE: adding metadata to a specific log macro
?LOG_INFO("The planet is fine...", #{prefix = "EARTH"}).
or by setting it for all logging of a process:
%% EXAMPLE: adding context for the whole process
logger:set_process_metadata(#{prefix => "E-RAB FSM"}).
Change-Id: Ib88801b8d38976b98a02ed06e1638e0e9056bafb
---
M config/sys.config
1 file changed, 23 insertions(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/erlang/osmo-s1gw refs/changes/27/37327/1
diff --git a/config/sys.config b/config/sys.config
index 5ccd43d..cf8ff34 100644
--- a/config/sys.config
+++ b/config/sys.config
@@ -27,6 +27,7 @@
single_line => false,
template => [time, " ", color, "[", level, "]",
{pid, [" ", pid, ""], ""},
+ {prefix, [" ", prefix, " ::"], ""},
" ", msg,
{mfa, [" (", mfa, ":", line, ")"], ""},
reset, "\n"]}}}}]}]}].
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37327?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-s1gw
Gerrit-Branch: master
Gerrit-Change-Id: Ib88801b8d38976b98a02ed06e1638e0e9056bafb
Gerrit-Change-Number: 37327
Gerrit-PatchSet: 1
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-MessageType: newchange
Attention is currently required from: fixeria.
Hello Jenkins Builder,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37317?usp=email
to look at the new patch set (#3).
The following approvals got outdated and were removed:
Verified-1 by Jenkins Builder
Change subject: erab_fsm: E-RAB FSM implementation
......................................................................
erab_fsm: E-RAB FSM implementation
Change-Id: Ic57e14675339b7cadb0cdd7cbc5d3a56288d7297
---
A src/erab_fsm.erl
M src/pfcp_peer.erl
2 files changed, 386 insertions(+), 5 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/erlang/osmo-s1gw refs/changes/17/37317/3
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/37317?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-s1gw
Gerrit-Branch: master
Gerrit-Change-Id: Ic57e14675339b7cadb0cdd7cbc5d3a56288d7297
Gerrit-Change-Number: 37317
Gerrit-PatchSet: 3
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-MessageType: newpatchset